#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

puts"〜これから計算問題を始めます〜"
puts"問題は5問あります。"

def keisan (a,b)
  printf("%s\n",a)
  
  while true
    puts"答えを入力"
    kaitou = gets.chomp.to_i
    if kaitou == b
      puts"正解"
      break
    else
      puts"不正解"
      redo
    end
  end
end
keisan("1.150×(30-28)",300)
keisan("2.180÷2×4",360)
keisan("3.100+50÷10",105)
keisan("4.20×5-(50-30)",20)
keisan("5.100×30+50×0",0)

puts"〜よくできました〜"
